# editmode.h File Reference

Template Header. More...

Go to the source code of this file.

## Namespaces

namespace | synfigapp

## Enumerations

enum | synfigapp::EditMode { synfigapp::MODE_NORMAL = 0, synfigapp::MODE_ANIMATE = (1<<0), synfigapp::MODE_ANIMATE_FUTURE = (1<<1), synfigapp::MODE_ANIMATE_PAST = (1<<2), synfigapp::MODE_ANIMATE_ALL = (3<<1), synfigapp::MODE_UNDEFINED = (~0) }

## Functions

EditMode | synfigapp::operator| (const EditMode &lhs, const EditMode &rhs)
| Combine Flags.
EditMode | synfigapp::operator- (const EditMode &lhs, const EditMode &rhs)
| Exclude Flags.
EditMode & | synfigapp::operator|= (EditMode &lhs, const EditMode &rhs)
EditMode | synfigapp::operator & (const EditMode &lhs, const EditMode &rhs)
| Flag Comparison. THIS IS NOT LESS-THAN-OR-EQUAL-TO.

## Detailed Description

Template Header.

$Id$